ZMQSocket::sendmulti
ZMQSocket::unbind
ZMQSocket
PHP Manual

# ZMQSocket::setSockOpt

Set a socket option

### Description

public ZMQSocket ZMQSocket::setSockOpt ( integer `$key` , mixed `$value` )

Sets a ZMQ socket option. The type of the `value` depends on the `key`. See ZMQ Constant Types for more information.

### Parameters

`key`

  One of the `ZMQ::SOCKOPT_*` constants.

`value`

  The value of the parameter.

### Return Values

Returns the current object. Throws ZMQSocketException on error.